# Class CommitListFormatter

java.lang.Object
net.sf.statcvs.pages.CommitListFormatter

public class CommitListFormatter extends Object
Class for formatting a list of commits as HTML.

Version:
  $Id: CommitListFormatter.java,v 1.17 2009/08/22 10:30:42 benoitx Exp $
Author:
  Anja Jentzsch, Richard Cyganiak (richard@cyganiak.de)

## Constructor Summary

Constructors
Constructor
Description
`CommitListFormatter(ReportConfig config, List commits, List tags, boolean withPermalinks)`
Creates a new instance for the list of commits.
`CommitListFormatter(ReportConfig config, List commit, List tags, int max, boolean withPermalinks)`
Creates a new instance for the list of commits.

## Method Summary

Modifier and Type
Method
Description
`String`
`render()`
Returns HTML code for the commit log without splitting the list into pages.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommitListFormatter

public CommitListFormatter(ReportConfig config, List commits, List tags, boolean withPermalinks)
Creates a new instance for the list of commits.

Parameters:
  `commits` - A list of `Commit` objects

### CommitListFormatter

public CommitListFormatter(ReportConfig config, List commit, List tags, int max, boolean withPermalinks)
Creates a new instance for the list of commits.

Parameters:
  `max` - maximum number of commits for the log; if there are more, only the most recent will be used
  `commits` - A list of `Commit` objects

## Method Details

### render

public String render()
Returns HTML code for the commit log without splitting the list into pages.

Returns:
  HTML code for the commit log